%define 	module		Levenshtein
%define 	egg_name	python_Levenshtein
%define		pypi_name	python-Levenshtein
Summary:	Python extension computing string distances and similarities
Summary(pl.UTF-8):	Rozszerzenie Pythona do obliczania odległości i podobieństw łańcuchów
Name:		python-%{module}
Version:	0.12.0
Release:	1
License:	GPL v2
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	e8cde197d6d304bbdc3adae66fec99fb
URL:		https://github.com/ztane/python-Levenshtein/
BuildRequires:	python-devel >= 1:2.3.0
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Levenshtein computes Levenshtein distances, similarity ratios,
generalized medians and set medians of Strings and Unicodes. Becuase
it's implemented in C, it's much faster than corresponding Python
library functions and methods.

%description -l pl.UTF-8
Levenshtein oblicza odległości Levenshteina, współczynniki
podobieństwa, uogólnione mediany i mediany zbiorów dla wartości String
i Unicode. Ponieważ jest zaimplementowany w C, jest dużo szybszy od
odpowiadających mu funkcji bibliotecznych i metod Pythona.

%prep
%setup -q

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_postclean

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/%{module}/_levenshtein.[ch]

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst NEWS HISTORY.txt
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/_levenshtein.so
%{py_sitedir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Sat Jul 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Levenshtein.git;a=log;h=master

* Mon Jun 27 2016 Elan Ruusamäe <glen@delfi.ee> a03878f
- up to 0.12.0

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> b9fe8ff
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ab83f9e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> efc6220
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 624d0cd
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 50eb79c
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> af841be
- release 2

* Sat May 15 2010 sparky <sparky@pld-linux.org> eebc01e
- BR: python-modules, rpm-pythonprov

* Mon May 10 2010 Elan Ruusamäe <glen@pld-linux.org> 9c18fbb
- release 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f34cdb8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f3ac28c
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 925ecf8
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Nov 27 2004 saq <saq@pld-linux.org> deef5ff
- massive attack: added missing python-devel epoch do BR

* Thu Oct 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 683061e
- pl, .so perms

* Fri Sep 24 2004 jpc <jpc@pld-linux.org> 076d8d9
- correct license

* Fri Sep 24 2004 jpc <jpc@pld-linux.org> 8f1458f
- new spec

